org.eclipse.incquery.viewmodel.traceability

## Interface Traceability

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    TraceabilityImpl

      public interface Traceability
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Traceability'.

  The following features are supported:

  - `Traces`
  - `Id`
  See Also:
    `TraceabilityPackage.getTraceability()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Returns the value of the 'Id' attribute.
    `org.eclipse.emf.common.util.EList<Trace>` | `getTraces()` Returns the value of the 'Traces' containment reference list.
    `void` | `setId(java.lang.String value)` Sets the value of the '`Id`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTraces

          org.eclipse.emf.common.util.EList<Trace> getTraces()

      Returns the value of the 'Traces' containment reference list. The list contents are of type `Trace`.

      If the meaning of the 'Traces' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Traces' containment reference list.
      See Also:
        `TraceabilityPackage.getTraceability_Traces()`

    - #### getId

          java.lang.String getId()

      Returns the value of the 'Id' attribute.

      If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Id' attribute.
      See Also:
        `setId(String)`, `TraceabilityPackage.getTraceability_Id()`

    - #### setId

          void setId(java.lang.String value)

      Sets the value of the '`Id`' attribute.
      Parameters:
        `value` - the new value of the 'Id' attribute.
      See Also:
        `getId()`